Skip to content

importCsv

WRITE

Import csv.

POST /api/v1/shared/importCsv
curl -X POST '<your-host>/api/v1/shared/importCsv' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "table": "string",
    "filePath": "string",
    "columnMappings": {}
  }'
Response
{
  "success": true,
  "inserted": 0,
  "updated": 0,
  "errors": [
    {
      "row": 0,
      "reason": "string",
      "values": {
        "…": "string"
      }
    }
  ],
  "skipped": [
    {
      "row": 0,
      "reason": "string",
      "values": {
        "…": "string"
      }
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "table": {
      "type": "string"
    },
    "filePath": {
      "type": "string"
    },
    "columnMappings": {
      "type": "object",
      "additionalProperties": {
        "type": "string"
      }
    },
    "enumMappings": {
      "type": "object",
      "additionalProperties": {
        "type": "object",
        "additionalProperties": {
          "type": "string"
        }
      }
    }
  },
  "required": [
    "table",
    "filePath",
    "columnMappings"
  ]
}